from image_convert import ImageShrink
from image_get import ImageGetter
try:
    from image_show import ImageShow
    show_image = True
except ImportError:
    print("ImageShow not found. Image will not be displayed.")
    show_image = False
  
get = ImageGetter()
convert = ImageShrink()
if show_image:
    show = ImageShow()

image = get.get_random_image()
image = convert.convert(image)
if show_image:
    show.show_image(image)
else:
    print("Would have shown image now.")
